.switch {
    font-size:                  0.85em;
    background-color:           $color-grey-dark;
    border:                     1px solid $color-grey-dark;
    color:                      $color-text-base;
    min-width:                  3em;
    height:                     1.5em;
    border-radius:              2em;
    position:                   relative;
    transition:                 background-color 0.2s ease;
    margin:                     0;
    display:                    inline-flex;
    align-items:                center;
    white-space:                nowrap;
    font-weight:                normal;
    vertical-align:             middle;
    .switch__slider {
        background-color:       $color-white;
        width:                  1em;
        height:                 1em;
        top:                    0.15em;
        left:                   0.2em;
        border-radius:          50%;
        border:                 1px solid $color-white;
        position:               absolute;
        transition:             all 0.2s ease;
        display:                block;
    }
}
.switch--status-on {
    text-align:                 left;
    padding-left:               0.7em;
    padding-right:              1.6em;
    .switch__slider {
        right:                  0.2em;
        left:                   auto;
    }
}
.switch--status-off {
    text-align:                 right;
    padding-right:              0.7em;
    padding-left:               1.6em;
    .switch__slider {
        left:                   0.2em;
        right:                  auto;
    }
}
.switch--color-positive {
    background-color:           $color-decorative-positive;
    border-color:               $color-decorative-positive;
    color:                      $color-white;
}
.switch--color-destructive {
    background-color:           $color-decorative-destructive;
    border-color:               $color-decorative-destructive;
    color:                      $color-white;
}